<?php

namespace YdBc\Plugin\Api;

class BigCommerceApiService implements ApiServiceInterface {

    const CODE = 'bigcommerce';
    const NAME = 'BigCommerce';

    public function isAvailable(): bool {
        return true;
    }

    public function getCode(): string {
        return self::CODE;
    }

    public function getName(): string {
        return self::NAME;
    }

    public function getMiddlewareStatus(): int {
        
    }

    public function getServiceStatus(): int {
        
    }

    public function isMiddlewareActive(): bool {
        try {
            $response = \YdBc\BigCommerce\Core::getApiResponse('config');
            $status = wp_remote_retrieve_response_code($response);

            return $status == 200;
        } catch (\Exception $e) {
            error_log((string) $e);
            return false;
        }

        return false;
    }

    public function isServiceActive(): bool {
        return true;
    }

    public function isFrontendEnabled(): bool {
        return (bool) get_option('lightrcommerce_bc_frontend_enabled');
    }
}
