<?php

namespace YdBc\Plugin\Widget\Elementor;

use YdBc\BigCommerce\Core as Api;
use YdBc\Plugin;

class BaseWidget extends \Elementor\Widget_Base {
    protected $config;

    public function get_name() {
        return 'elementor_' . $this->getConfig()->code;
    }

    public function get_title() {
        return $this->getConfig()->name;
    }

    public function get_icon() {
        return 'eicon-image';
    }

    public function get_categories() {
        return ['lightrcommerce'];
    }

    protected function printTemplate(array $parameters = []) {
        $endpoint = $this->config->endpoint;
        $queryString = '';
        // When there are prarameters in config we need to add them to the endpoint
        if (isset($this->config->parameters)) {
            foreach ($this->config->parameters as $_parameter) {
                if ($_parameter->required) {
                    if (!isset($parameters[$_parameter->code])) {
                        throw new \Exception(
                            'Missing required parameter: ' . $_parameter->code
                        );
                    }
                    $endpoint = str_replace(
                        ':' . $_parameter->code . '',
                        $parameters[$_parameter->code],
                        $endpoint
                    );
                } else {
                    $queryString = sprintf(
                        '%s=%s',
                        $_parameter->code,
                        urlencode($parameters[$_parameter->code])
                    );
                }
            }
        }
        $apiUrl = $endpoint . ($queryString ? '?' . $queryString : '');
        //return $endpoint;
        echo Api::getOutput($apiUrl);
    }

    protected function getConfig() {
        if ($this->config == null) {
            $this->config = Plugin::getWidgetConfig(static::CODE);
        }
        return $this->config;
    }
}