<?php
$isElementorActive = \YdBc\Plugin\Helper::isElementorActive();
$affiliateTag = '217828';

if ($isElementorActive) {
    // Elementor is active, do something if needed
} else {
    ?>
    <div class="text-center">
        <hr class="my-3">
        <p>
            <?php
            _e(
                    'LightR Commerce works best with <strong>Elementor</strong>. We strongly recommend you to install.',
                    'lightrcommerce'
            );
            ?>
        </p>
        <div class="inline-block mx-auto bg-neutral-100 relative ring-1 ring-neutral-300 rounded-md shadow-inner mt-4 relative p-3">
            <div class="pb-4 text-center">
                <h3><?php _e('Get', 'lightrcommerce'); ?><a class="" href="https://be.elementor.com/visit/?bta=217829&nci=5349&utm_campaign=lightr-install" target="_blank"><img class="inline ml-1" width="160" src="<?php echo LIGHTRCOMMERCE_ASSETS_URL . '/elementor-logo-full.svg'; ?>" alt="Get Elementor"></a></h3>
                <p class="text-base"><?php _e('Power your vision with Elementor to build, manage and host stunning websites!', 'lightrcommerce'); ?></p>
                <p>
                    <?php
                    _e(
                            'Elementor got you covered from A-to-Z with the #1 website platform for WordPress.',
                            'lightrcommerce'
                    );
                    ?>
                    <br />
                    <br />
                </p>
                <a class="button-primary" href="https://be.elementor.com/visit/?bta=217829&nci=5349&utm_campaign=lightr-install" target="_blank"><?php
                    _e(
                            'Get elementor.',
                            'lightrcommerce'
                    );
                    ?></a>
            </div>
        </div>
        <hr class="my-3">
    </div>
    <?php
}
?>

<?php
$widgets = \YdBc\Plugin\Helper::getWidgetsList();

if ($widgets) {
    ?>
    <div class="wp-core-ui">
        <h3 class="my-3"><?php _e('Available LightRCommerce widgets', 'lightrcommerce') ?></h3>
        <ul class="widgets-list">
            <?php foreach ($widgets as $widget) { ?>
                <li class="border-2 p-2 bg-white flex items-center">
                    <img src="<?php echo $widget->icon ?>" class="p-2" style="width:48px; opacity:0.5; vertical-align: middle; display: inline-block; pointer-events: none" />
                    <span style="flex: 1"><?php echo $widget->name ?></span>
                    <span>
                        <?php if ($widget->premium) { ?>
                            <a href="https://lightrcommerce.com/getpro" class="focus:ring-0">
                                <span class="mr-3 inline-block p-2 text-[#070A3A] bg-amber-400 rounded text-sm">GET PRO<img class="pl-14 inline" src="<?php echo LIGHTRCOMMERCE_ASSETS_URL ?>/icons/arrowTriangle.svg"></span>
                            </a>
                        <?php } ?>
                        <?php if ($widget->wordpress) { ?>
                            <img src="<?php echo LIGHTRCOMMERCE_ASSETS_URL ?>/wordpress.svg" style="width: 30px; display: inline-block; pointer-events: none; margin-bottom:3px" alt="WordPress icon" title="<?php _e('Widget enabled for WordPress pages', 'lightrcommerce') ?>" />
                        <?php } ?>
                        <?php if ($widget->elementor) { ?>
                            <span class="e-logo-wrapper" title="<?php _e('Widget enabled for Elementor', 'lightrcommerce') ?>">
                                <i class="eicon-elementor" style="width: 12px; height:12px; display: inline-block; pointer-events: none" aria-hidden="true"></i>
                            </span>
                        <?php } ?>
                    </span>
                </li>
            <?php } ?>
        </ul>
        <a class="button-primary float-right" href="/wp-admin/widgets.php">
            <?php
            _e(
                    "Insert Widget now",
                    'lightrcommerce'
            );
            ?>
        </a>
    </div>
    <?php
}