<div class="lg:min-h-[500px] border-b border-black">
    <h3 class="py-5"><?php _e('Advanced settings', 'lightrcommerce') ?></h3>
    <div>
        <strong><?php _e('Delete account', 'lightrcommerce') ?></strong>
        <p><?php _e('Warning this function will delete your headless connection between your eCommerce platform and your WordPress.', 'lightrcommerce') ?></p>
    </div>    
    <div>
        <button onclick="showPopup()" class="p-2 bg-[#D43727] rounded text-white text-[14px]">Delete my data<img class="pl-3 inline" src="<?php echo LIGHTRCOMMERCE_ASSETS_URL ?>/icons/arrowTriangleWhite.svg"></button>
    </div>
</div>
<form method="post" action="<?php echo esc_url(admin_url('admin-post.php')) ?>" id="lightrcommerce-uninstall">
    <?php wp_nonce_field('lightrcommerce_uninstall') ?>
    <input type="hidden" name="action" value="lightrcommerce_uninstall" />
</form>
<div id="darkBg" onclick="hidePopup()" class="hidden z-[9999] fixed inset-0 bg-gray-500 bg-opacity-75 transition-opacity"></div>
<div id="popup" class="hidden z-[99999] absolute right-[40%] w-[40rem] bg-white border border-black top-[28rem] p-5">
    <h3 class="text-red-500"><?php _e('Final notice', 'lightrcommerce') ?></h3>
    <span class="font-bold mt-5"><?php _e('Delete LightR Commerce data', 'lightrcommerce') ?></span>
    <p><?php _e('You are about to delete the connection between your WordPress installation and your eCommerce platform.', 'lightrcommerce') ?></p>
    <div class="flex flex-row justify-between">
        <button type="submit" form="lightrcommerce-uninstall">
            <p class="mt-8 hover:underline">
                <?php _e('Yes, delete my headless', 'lightrcommerce') ?>
            </p>
        </button>
        <button onclick="hidePopup()" id="closeButton">
            <span class="button-primary"><?php _e('Get me out of here', 'lightrcommerce') ?></span>
        </button>
    </div>
</div>
<script>
    popup = document.getElementById("popup")
    bg = document.getElementById("darkBg")

    function showPopup() {
        bg.style.display = "block"
        popup.style.display = "block"
    }
    function hidePopup(e) {
        bg.style.display = 'none';
        popup.style.display = 'none';
    }
</script>