<div class="p-3 mx-auto max-w-6xl">
    <div>
        <span>
            <img class="w-60 inline" src="<?php
            echo LIGHTRCOMMERCE_ASSETS_URL .
            '/lightr_logo.svg';
            ?>" />
            <span class="text-base text-white inline -bottom-1 right-0 font-semibold bg-lightrbase px-4 ring ring-white"><?php
                _e(
                        'NODE',
                        'lightrcommerce'
                );
                ?></span>
        </span>
        <h1><?php
            _e(
                    'Headless Commerce for WordPress.',
                    'lightrcommerce'
            );
            ?> </h1>
        <p class="mt-8 text-xl">
            <?php
            echo __(
                    'You are just a couple of clicks away from adding modern eCommerce onto your WordPress',
                    'lightrcommerce'
            );
            ?>:
        </p> 
        <p class="text-lg"><?php
            _e(
                    'Start the wizard to setup the headless connection between your eCommerce platorm and your WordPress instalation.',
                    'lightrcommerce'
            );
            ?> </p>


    </div>
    <p class="mt-8 text-base">
        <?php
        echo __(
                'Select your preferred eCommerce platform to load headless to your WordPress',
                'lightrcommerce'
        );
        ?>:
    </p>
    <div id="bigcommerce">
        <span class="flex justify-items-center gap-10 border p-5 rounded">
            <span class="w-[70%]">
                <img src="<?php echo LIGHTRCOMMERCE_ASSETS_URL ?>/bigcommerce.svg" width="200">
                <p class="text-gray-600 mt-3">
                    <?php
                    _e(
                            "Setup your WordPress with the worlds' leading Open SaaS eCommerce platform.",
                            'lightrcommerce'
                    );
                    ?>      </p>
            </span>
            <span class="w-[300px]">
                <span >
                    <p class="text-base font-bold"><?php
                        echo __(
                                'No BigCommerce account yet?',
                                'lightrcommerce'
                        );
                        ?></p>
                    <a class="p-3 bg-purple border border-purple rounded hover:text-black hover:bg-white block text-white" href="https://www.bigcommerce.es/comienza-tu-prueba/?utm_medium=partner&utm_source=young-dogs&utm_campaign=ap_emea_es_all_acq_core_core_trial_2023_q2_youngdogs-WordPress-plugin_intl" target="_blank">
                        <?php _e('Sign up new BigCommerce account', 'lightrcommerce'); ?>
                    </a>
                    <p class="font-italic">
                        <?php
                        echo __(
                                'Sign up and try 1 month for free',
                                'lightrcommerce'
                        );
                        ?>
                    </p>
                </span>
                <span class="mt-10 block"><p><?php _e('I have BigCommerce setup and want to continue', 'lightrcommerce'); ?></p>
                    <a class="bg-lightrbase border border-lightrbase hover:bg-white rounded p-3 block" href="?page=lightrcommerce_wizard&tab=step1"><?php
                        echo __(
                                'Connect BigCommerce now',
                                'lightrcommerce'
                        );
                        ?></a>
                </span>
            </span>
        </span>
    </div>

    <div id="Shopify" class="mt-10">
        <span class="flex justify-items-center gap-10 border p-5 rounded">
            <span class="w-[70%]">
                <img src="<?php echo LIGHTRCOMMERCE_ASSETS_URL ?>/shopify.svg" width="200">

                <p class="text-gray-600 mt-3">
                    <?php
                    _e(
                            "Enrich your WordPress with Commerce Better for Everyone.",
                            'lightrcommerce'
                    );
                    ?>      </p>
            </span>
            <span class="w-[300px]">
                <span class="w-[300px]">
                    <p class="text-base font-bold"><?php
                        echo __(
                                'New to shopify?',
                                'lightrcommerce'
                        );
                        ?></p>
                    <a class="p-3 bg-green border border-gren rounded hover:text-black hover:bg-white block text-white" href="https://www.bigcommerce.es/comienza-tu-prueba/?utm_medium=partner&utm_source=young-dogs&utm_campaign=ap_emea_es_all_acq_core_core_trial_2023_q2_youngdogs-WordPress-plugin_intl" target="_blank">
                        <?php _e('Setup a new Shopify account', 'lightrcommerce'); ?>
                    </a>
                    <p class="font-italic">
                        <?php
                        echo __(
                                'Free trial',
                                'lightrcommerce'
                        );
                        ?>
                    </p>
                </span>
                <span class="mt-10 block"><p><?php _e('I have Shopify setup and want to continue', 'lightrcommerce'); ?></p>
                    <a class="bg-lightrbase border border-lightrbase hover:bg-white rounded p-3 block" href="<?php echo esc_url(add_query_arg('page', 'lightrcommerce_unsupported', get_admin_url() . 'admin.php')) ?>"><?php
                        echo __(
                                'Connect Shopify now',
                                'lightrcommerce'
                        );
                        ?></a>
                </span>
            </span>
        </span>
    </div>

    <div id="Magento" class="mt-10">
        <span class="flex justify-items-center gap-10 border p-5 rounded">
            <span class="w-[70%]">
                <img src="<?php echo LIGHTRCOMMERCE_ASSETS_URL ?>/magento.svg" width="200">

                <p class="text-gray-600 mt-3">
                    <?php
                    _e(
                            "Setup your WordPress with the most flexible and scalable commerce B2B and B2C solution.",
                            'lightrcommerce'
                    );
                    ?>      </p>
            </span>
            <span class="w-[300px]">
                <span >
                    <p class="text-base font-bold"><?php
                        echo __(
                                'No Adobe Commerce yet?',
                                'lightrcommerce'
                        );
                        ?></p>
                    <a target="_blank" class="p-3 bg-magentored border border-magentored rounded hover:text-black hover:bg-white block text-white" href="https://github.com/magento/magento2/releases" target="_blank">
                        <?php _e('Download Magento 2 latest version', 'lightrcommerce'); ?>
                    </a>
                    <p class="font-italic">
                        <?php
                        echo __(
                                'Sign up and try 1 month for free',
                                'lightrcommerce'
                        );
                        ?>
                    </p>
                </span>
                <span class="mt-10 block"><p><?php _e('I have Magento/Adobe Commerce setup and want to continue', 'lightrcommerce'); ?></p>
                    <a class="bg-lightrbase border border-lightrbase hover:bg-white rounded p-3 block" href="<?php echo esc_url(add_query_arg('page', 'lightrcommerce_unsupported', get_admin_url() . 'admin.php')) ?>"><?php
                        echo __(
                                'Connect Magento now',
                                'lightrcommerce'
                        );
                        ?></a>
                </span>
            </span>
        </span>
    </div>
</div>
